Saltar al contenido principal
GET
/
v1
/
reports
/
contexts
/
{contextId}
/
dashboard
/
metrics
Obtener métricas completas del panel
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/metrics \
  --header 'Authorization: Bearer <token>'
{
  "breakdowns": {
    "byAge": [
      {
        "bucket": "<string>",
        "value": 123
      }
    ],
    "byReason": {},
    "byRule": [
      {
        "count": 123,
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "bySeverity": {}
  },
  "summary": {
    "criticalExposure": "<string>",
    "matchRate": 123,
    "oldestExceptionAgeHours": 123,
    "pendingExceptions": 123,
    "totalMatches": 123,
    "totalTransactions": 123
  },
  "trends": {
    "dates": [
      "<string>"
    ],
    "exceptions": [
      123
    ],
    "ingestion": [
      123
    ],
    "matchRates": [
      123
    ],
    "matches": [
      123
    ]
  },
  "updatedAt": "<string>"
}

Autorizaciones

Authorization
string
header
requerido

Autenticación con token Bearer (formato: "Bearer {token}")

Encabezados

X-Request-Id
string

Un identificador único para rastrear la solicitud a través de los servicios.

Parámetros de ruta

contextId
string
requerido

El identificador único del contexto de conciliación.

Parámetros de consulta

date_from
string
requerido

Fecha de inicio (YYYY-MM-DD)

date_to
string
requerido

Fecha de fin (YYYY-MM-DD)

source_id
string

Filtro por ID de fuente

Respuesta

Indica que la solicitud fue exitosa y la respuesta contiene los datos esperados.

breakdowns
object
summary
object
updatedAt
string